<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.gh.gamecenter.login">

    <queries>
        <package android:name="com.tencent.mm" />
    </queries>

    <!-- 允许应用程序访问网络连接 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <!-- 允许应用程序访问Wi-Fi网络状态信息 -->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <!-- 允许应用程序获取网络信息状态 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!-- 允许应用程序改变网络连接状态 -->
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <!-- 允许应用程序读取电话状态 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />

    <application android:networkSecurityConfig="@xml/network_security_config">

        <activity
            android:name="com.gh.gamecenter.login.view.LoginActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden" />

        <activity
            android:name="com.gh.gamecenter.login.view.QuickLoginHelperActivity"
            android:theme="@style/QuickLoginHelperStyle" />

<!--        <activity-->
<!--            android:name="com.cmic.gen.sdk.view.GenLoginAuthActivity"-->
<!--            android:configChanges="orientation|keyboardHidden|screenSize"-->
<!--            android:launchMode="singleTop"-->
<!--            android:screenOrientation="portrait" />-->

        <activity
            android:name="${applicationId}.wxapi.WXEntryActivity"
            android:exported="true"
            android:label="@string/ghzs_name"
            android:launchMode="singleTop"
            android:theme="@android:style/Theme.Translucent.NoTitleBar"></activity>
    </application>

</manifest>